Last Comment Bug 770014 - GMail Mail Listing (e.g. Inbox) broken
: GMail Mail Listing (e.g. Inbox) broken
Status: RESOLVED FIXED
:
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal
: ---
Assigned To: Tal Aloni
:
Mentors:
: 771126 (view as bug list)
Depends on:
Blocks: 248239
  Show dependency treegraph
 
Reported: 2012-07-01 07:13 PDT by (mostly gone) XtC4UaLL [:xtc4uall]
Modified: 2015-04-19 23:39 PDT (History)
22 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot showing the Issue (42.50 KB, image/png)
2012-07-01 07:13 PDT, (mostly gone) XtC4UaLL [:xtc4uall]
no flags Details
Comparison Chrome, Aurora and Nightly (71.17 KB, image/png)
2012-07-01 07:47 PDT, Alice0775 White
no flags Details

Description (mostly gone) XtC4UaLL [:xtc4uall] 2012-07-01 07:13:59 PDT
Created attachment 638186 [details]
Screenshot showing the Issue

Compare your GMail Inbox using yesterday's and today's Nightly (see Screenshot).
Likely by Bug 539356, no?
Comment 1 Alice0775 White 2012-07-01 07:47:49 PDT
Created attachment 638189 [details]
Comparison  Chrome, Aurora and Nightly

Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/eb8f9356376a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120630083850
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/a52d79ad75da
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120630090151
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=eb8f9356376a&tochange=a52d79ad75da

Suspected: Bug 248239
Comment 2 (mostly gone) XtC4UaLL [:xtc4uall] 2012-07-01 08:03:22 PDT
Thanks Alice, just was about to Post that correct Regression Window :-)
Comment 3 Tal Aloni 2012-07-01 08:38:23 PDT
Hi all,
Gmail generate a different CSS based on user agent (to work around various bugs / limitations of specific browsers).
[The cells in that row gets height of 2.83ex in IE8 and 3.61ex in Firefox]
In firefox 16 we have fixed bug 248239, and we are now correctly calculating table cell height, however, Gmail does not know that yet and that's why you get the extra padding, hopefully Firefox 16 will get the proper treatment soon.

I know some of you may feel that this is a regression, but this is actually progress, only by fixing those bugs and being compliant with the standard we will be able to advance to the day where a CSS per browser is no longer needed.
Comment 4 Alice0775 White 2012-07-01 08:51:43 PDT
(In reply to Tal Aloni from comment #3)
> In firefox 16 we have fixed bug 248239, and we are now correctly calculating
> table cell height, however, Gmail does not know that yet and that's why you
> get the extra padding, hopefully Firefox 16 will get the proper treatment
> soon.

So,this is "Tech Evangelism" Bug?
If so, would someone please contact Gmail developers?
Comment 6 rmlipman 2012-07-03 00:14:37 PDT
This also affects the spacing on Google Docs spreadsheets.
Comment 7 Tal Aloni 2012-07-03 00:38:58 PDT
(In reply to rmlipman from comment #6)
> This also affects the spacing on Google Docs spreadsheets.

Thanks, it's already been reported (770045)
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-07-05 18:57:53 PDT
*** Bug 771126 has been marked as a duplicate of this bug. ***
Comment 9 Alex Keybl [:akeybl] 2012-07-13 16:44:12 PDT
Although this is in evangelism, I'd actually rather this is assigned to Matt to come up with alternative options if Google doesn't fix in time. Is backing out bug 539356 our only option in that case?
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-07-13 16:48:28 PDT
This wasn't broken by DLBI. It was "broken" by bug 248239 (which just happened to land around the same time).
Comment 11 Alex Keybl [:akeybl] 2012-07-13 16:56:15 PDT
Thanks, sending over to Tal in that case with the same motivation (what alternative do we have if Google doesn't fix, back out bug 248239?).
Comment 12 j.j. 2012-07-13 20:53:08 PDT
Note that bug 338554 (which is a pretty nice bug fix IMHO) depends on bug 248239
Comment 13 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-13 21:30:49 PDT
The alternative is to back out.  The patch was an intentional behavior change to be more compatible with other browsers and with relevant specs, and which broke sites that were explicitly working around it by behaving differently for Firefox (and Opera).

Backing out may *also* get us into trouble because some of the sites that have updated are probably doing version-based detection (i.e., changing their "work around Firefox bug" JS to be "work around bug in Firefox versions 15 or less" JS).  So if we want to back out we need to do so soon and get people to undo the changes we've gotten them to do.
Comment 14 Tal Aloni 2012-07-14 00:11:44 PDT
(In reply to Alex Keybl [:akeybl] from comment #11)
> Thanks, sending over to Tal in that case with the same motivation.

Guys, with the help of Ehsan Akhgari Google is already in the process of canceling the bug-workaround for the Spreadsheets (See Bug 770045), Which I felt was a higher priority.

After we've made sure Google could resolve that issue successfully (few days according to them), we'll try to get more attention to this issue.
Comment 15 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-14 21:05:41 PDT
I think you should proceed on this issue without waiting for them to finish fixing the first.
Comment 16 Alex Keybl [:akeybl] 2012-07-16 07:04:06 PDT
(In reply to David Baron [:dbaron] from comment #15)
> I think you should proceed on this issue without waiting for them to finish
> fixing the first.

Agreed. Tal, please let us know if you need any help on this bug in the short term and we'll get some more eyes on it. We'd really like to get this fixed (externally or in-product) as soon as possible in the Aurora 16 cycle.
Comment 17 Tal Aloni 2012-07-16 08:20:57 PDT
(In reply to Alex Keybl [:akeybl] from comment #16)
> Tal, please let us know if you need any help on this bug in the
> short term and we'll get some more eyes on it.
I've now asked Ehsan Akhgari to use the mozilla-google-discuss list to get more attention to this issue (only Mozilla employees can use it), I hope that would be enough to get this fixed.
Comment 18 :Ehsan Akhgari 2012-07-16 08:42:08 PDT
I contacted Google about this.
Comment 19 Ryan VanderMeulen [:RyanVM] 2012-07-16 15:24:29 PDT
This looks fixed to me now. Maybe it came along with the Docs fix?
Comment 20 Tal Aloni 2012-07-16 21:00:11 PDT
(In reply to Ryan VanderMeulen from comment #19)
> This looks fixed to me now. Maybe it came along with the Docs fix?

The issue is still there, you simply got used to the king-size listing :)
Comment 21 Tal Aloni 2012-07-24 15:05:25 PDT
a quick update:
The Google Apps team canceled the bug-workaround for the Spreadsheets. (Bug 770045)

We still got no response from the Gmail team on the mozilla-google-discuss list,
It would be helpful if any of you have a more direct channel to the Gmail team.
Comment 22 skill 2012-08-02 08:35:25 PDT
Should the fix be tight to Firefox 16? or to some Gecko version?

Gmail team.
Comment 23 Tal Aloni 2012-08-02 09:28:34 PDT
Awesome!
Should be tied to Gecko 16.

Thanks!
Tal
Comment 24 Ryan VanderMeulen [:RyanVM] 2012-08-15 17:48:12 PDT
OK, now it looks like GMail is fixed for real. Almost forgot what it used to look like :P
Comment 25 :Ehsan Akhgari 2012-08-15 19:05:48 PDT
(In reply to comment #24)
> OK, now it looks like GMail is fixed for real. Almost forgot what it used to
> look like :P

I still experience the bug in my gmail account.
Comment 26 Olivier Vit (just a reporter) 2012-08-16 00:25:08 PDT
(In reply to Ehsan Akhgari [:ehsan] from comment #25)
> 
> I still experience the bug in my gmail account.

So do I
Just compare with the rendering in Firefox 14 to see that it's way more compact
Comment 27 rmlipman 2012-08-16 06:40:53 PDT
It looks fixed for me on gmail, but not for my google apps email. It probably just hasn't been rolled out to google apps yet.
Comment 28 Tal Aloni 2012-08-20 08:26:00 PDT
I have tested both Gmail and Google Apps email, both Aurora and Nightly, and I can confirm that the issue is resolved.

Thanks Gmail team!

Note You need to log in before you can comment on or make changes to this bug.